Bug 166508 - radvd and dhcpv6 dows not agree on the prefixes
radvd and dhcpv6 dows not agree on the prefixes
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: dhcpv6 (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
http://sourceforge.net/mailarchive/fo...
:
Depends On: 144585
Blocks: 168429
  Show dependency treegraph
 
Reported: 2005-08-22 13:14 EDT by Jason Vas Dias
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2006-0115
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 13:36:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Vas Dias 2005-08-22 13:14:20 EDT
+++ This bug was initially created as a clone of Bug #144585 +++

Description of problem:
(Just copying from the link)

"I manage to get the prefix for the client router which i saw from the 
 debug message, but I didn"t see any modification done to /etc/radvd.conf 
 by the dhcp6c program. I suppose it should modify the range of the 
 available IP addresses according to the assigned prefix." 


Version-Release number of selected component (if applicable):
dhcpv6-0.10-9

How reproducible:
Always

Steps to Reproduce:
1. Set up dhcpv6 with correct prefix
2. restart dhcpv6 (server) and radvd
3. start dhcp6c on a client to get address
  
Actual results:
radvd will give you different prefixes than dhcp6

Expected results:
radvd and dhcp6 should agree on what to give the clients

Additional info:
There is also a patch provided on the url mentioned:
 in line 116 of radvd_token.l, 
 
     (before) : if (!strcmp(yytext, dhcp6_if->ifname))
 
     (after)  : if (strcmp(yytext, dhcp6_if->ifname))
Comment 1 Jason Vas Dias 2005-08-22 13:15:27 EDT
fixed with dhcpv6-0.10-14_EL4
Comment 8 Red Hat Bugzilla 2006-03-07 13:36:49 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0115.html

Note You need to log in before you can comment on or make changes to this bug.